com.google.web.bindery.requestfactory.shared

## Interface ProxyStore

All Known Implementing Classes:
  DefaultProxyStore

    public interface ProxyStore

A ProxyStore provides a `ProxySerializer` with access to a low-level persistence mechanism. The ProxyStore does not need to be able to interpret the data sent to it by the ProxySerializer; it is merely a wrapper around a persistence mechanism.

See Also:
  `DefaultProxyStore`

### Method Summary

All Methods Instance Methods Abstract Methods
`Splittable` `get(java.lang.String key)` Called by `ProxySerializer` to retrieve a value previously provided to `put(String, Splittable)`.
`int` `nextId()` Returns a non-negative sequence number.
`void` `put(java.lang.String key, Splittable value)` Called by `ProxySerializer` to store a value.

### Method Detail

#### get

    Splittable get(java.lang.String key)

Called by `ProxySerializer` to retrieve a value previously provided to `put(String, Splittable)`.

Parameters:
  `key` - the key
Returns:
  the associated value or `null` if `key` is unknown

#### nextId

    int nextId()

Returns a non-negative sequence number. The actual sequence of values returned by this method is unimportant, as long as the numbers in the sequence are unique.

#### put

    void put(java.lang.String key,
             Splittable value)

Called by `ProxySerializer` to store a value.

Parameters:
  `key` - a key value that will be passed to `get(String)`
  `value` - the data to store
See Also:
  `Splittable.getPayload()`